/* SPI slave Verilog example code. */
`timescale 1ns / 1ns

module test;
   reg clk;
   reg [7:0] buttons;

   wire [7:0] pa;
   wire [7:0] pb;
   wire [7:0] pc;
   wire [7:0] pd;

   assign    pd=buttons;
      
   defparam  avr.progfile="example.elf";
   ATmega32 avr(clk, pa, pb, pc, pd);
   //avr_clock clock(clk);
   
   initial begin
      $avr_trace("avr.trace");
      $dumpfile("example.vcd");
      $dumpvars(0, test);
      buttons = 8'b00000000;
      #30000;
      #4000
	  begin
             buttons=8'b01010101;
	  end // UNMATCHED !!
      #4000
	  begin
             buttons=8'b10101010;
	  end
      #4000
	  begin
             buttons=8'b01010101;
	  end // UNMATCHED !!      
      #4000
	  begin
             buttons=8'b10101010;
	  end
   end
   
   initial begin
      # 100000 $finish;
   end // initial begin
   
   always begin
      #500 clk<=0; 
      #500 clk<=1;
   end

   // always begin
   //    #1000 buttons=8'b01010101;      
   //    #1000 buttons=8'b10101010;
   // end
endmodule
// Расчитать правильно частоту, увеличить интервалы? или устроить цикл
// внутри испытаний. Также посмотреть как работать с pullup состоянием?
