/* DHT library 
	written by Wraith
*/


//порт
#define DHT_PORT B
//пин
#define DHT_PIN 4


//макросы для автоматического определения параметров
#define __GET_DDR(DDR_LETTER) DDR ## DDR_LETTER
#define GET_DDR(DDR_LETTER) __GET_DDR(DDR_LETTER)

#define __GET_PORT(PORT_LETTER) PORT ## PORT_LETTER
#define GET_PORT(PORT_LETTER) __GET_PORT(PORT_LETTER)

#define __GET_PORT_DATA(PORT_LETTER, PORT_PIN) ((PIN ## PORT_LETTER)&(1<<(PIN ## PORT_LETTER ## PORT_PIN)))
#define GET_PORT_DATA(PORT_LETTER, PORT_PIN) __GET_PORT_DATA(PORT_LETTER, PORT_PIN)

//Ошибки
#define DHT_OK 0

//предварительные ошибки - датчик не вышел на связь
#define DHT_ERROR_START_FAILED_1 1
#define DHT_ERROR_START_FAILED_2 2

//ошибки процесса обработки
#define DHT_ERROR_READ_TIMEOUT 3
#define DHT_ERROR_CHECKSUM_FAILURE 4
